Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.cgm
Class CGM

    java.lang.Object
      com.bbn.openmap.dataAccess.cgm.CGM

All Implemented Interfaces:
  java.lang.Cloneable

public class CGM
extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`boolean` | `changeCGMFill`
`protected java.util.Vector` | `V`

Constructor Summary
`CGM()`

Method Summary
`void` | `changeColor(java.awt.Color oldc, java.awt.Color newc)`
`java.lang.Object` | `clone()`
`int[]` | `extent()`
`static void` | `main(java.lang.String[] args)`
`void` | `paint(CGMDisplay d)`
`void` | `read(java.io.DataInputStream in)`
`void` | `scale(CGMDisplay d)`
`void` | `setChangeFill(boolean custom)`
`void` | `showCGMCommands()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V

    protected java.util.Vector V

### changeCGMFill

    public boolean changeCGMFill

Constructor Detail

### CGM

    public CGM()

Method Detail

### setChangeFill

    public void setChangeFill(boolean custom)

### read

    public void read(java.io.DataInputStream in)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### paint

    public void paint(CGMDisplay d)

### scale

    public void scale(CGMDisplay d)

### extent

    public int[] extent()

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### clone

    public java.lang.Object clone()

### showCGMCommands

    public void showCGMCommands()

### changeColor

    public void changeColor(java.awt.Color oldc,
                            java.awt.Color newc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details